Skip to content
POST
/auth/register
curl --request POST \
--url https://example.com/auth/register \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "password": "example", "name": "example" }'

Register a new local user with email and password.

Media typeapplication/json
RegisterRequest
object
email
required
Email
string format: email
password
required
Password
string
>= 8 characters <= 128 characters
name
Any of:
string
<= 255 characters

Example generated

{
"email": "hello@example.com",
"password": "example",
"name": "example"
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}